**[[続・質問箱/37]] [#paf7402d]
#author("2018-03-11T12:22:03+09:00;2004-08-21T01:00:33+09:00","","")
**[[質問箱/2037]] [#paf7402d]
|RIGHT:70|LEFT:410|c
|~カテゴリ||
|~サマリ|pukiwikiのためのApache,phpの設定|
|~バージョン|1.4.2|
|~投稿者|[[femto]]|
|~状態|完了|
|~投稿日|&new{2004-02-16 (MON) 02:43:23};|
***質問 [#e736930a]
Apache,php,pukiwikiのコンパイル&導入をわかりやすく解説しているWebはないでしょうか?(特にApache)安定版のApache1.3.29,php4.3.4,pukiwiki1.4.2を使いたいと考えています。
OSはNetBSD1.6.1.ですがほぼFreeBSD4.xとおなじです。

***回答 [#v6308189]
-[[reimy]] &new{2004-02-16 (MON) 13:02:56};
~Apacheは標準的なオプションでコンパイルすれば問題ないはず。PHP4は標準的なオプションにマルチバイト関連のオプションを追加してコンパイル。
--[[apacheのコンパイルとインストール>http://httpd.apache.org/docs-2.0/ja/install.html]]あたりを参考に。
httpd.conf 中に
 AddType application/x-httpd-php .php
--PHP4は
 /configure --enable-mbstring --enable-mbregex --enable-zend-multibyte --enable-mbstr-enc-trans --with-zlib --with-gd
あたりが最低必要なオプションかな。適当に必要なものをこれに加えてコンパイル。mbstringのページも参照。
--PukiWiki 1.4.2のインストールは[[PukiWiki1.4のインストール>PukiWiki/インストール/1.4系列]]のページ参照。

#comment

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u8. HTML convert time: 0.084 sec.

OSDN